#
# Conditional build:
%bcond_without	tests		# build without tests
%bcond_without	ruby		# Ruby binding
%bcond_without	python		# Python binding

Summary:	Ruby and Python wrappers for the Cyrus SASL library
Name:		saslwrapper
Version:	0.16
Release:	8
License:	Apache v2.0
Group:		Libraries
# svn export -r 1346225 https://svn.apache.org/repos/asf/qpid/tags/0.16/qpid/extras/sasl saslwrapper-0.16
# tar -cJf saslwrapper-0.16.tar.xz saslwrapper-0.16
Source0:	http://pkgs.fedoraproject.org/repo/pkgs/saslwrapper/%{name}-%{version}.tar.xz/e801d697a196647938eb1521be414090/saslwrapper-%{version}.tar.xz
# Source0-md5:	e801d697a196647938eb1521be414090
Patch0:		ruby-config.patch
URL:		http://qpid.apache.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	swig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with python}
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-python
# ./configure checks for these, even though it probably needn't
BuildRequires:	/usr/bin/python
%endif
%if %{with ruby}
BuildRequires:	rpm-rubyprov
BuildRequires:	ruby-devel
BuildRequires:	swig-ruby
# ./configure checks for these, even though it probably needn't
BuildRequires:	/usr/bin/ruby
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Unresolved symbols found: sasl_*
%define		skip_post_check_so	libsaslwrapper.so.1.0.0

%description
A simple wrapper for Cyrus SASL that permits easy binding into
scripting languages.

%package devel
Summary:	Header files for developing with saslwrapper
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The header files for developing with saslwrapper.

%package -n python-saslwrapper
Summary:	Python bindings for saslwrapper
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description -n python-saslwrapper
Python bindings for the saslwrapper library.

%package -n ruby-saslwrapper
Summary:	Ruby bindings for saslwrapper
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description -n ruby-saslwrapper
Ruby bindings for the saslwrapper library.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoheader}
%{__libtoolize} --automake
%{__automake}
%{__autoconf}

export RUBY_LIB_ARCH="%{ruby_vendorarchdir}"
%configure
%{__make} SUBDIRS="src %{?with_python:python} %{?with_ruby:ruby}"

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsaslwrapper.la
%{?with_python:%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/_saslwrapper.la}
%{?with_ruby:%{__rm} $RPM_BUILD_ROOT%{ruby_vendorarchdir}/saslwrapper.la}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_libdir}/libsaslwrapper.so.*.*.*
%ghost %{_libdir}/libsaslwrapper.so.1

%files devel
%defattr(644,root,root,755)
%{_libdir}/libsaslwrapper.so
%{_includedir}/saslwrapper.h

%if %{with python}
%files -n python-saslwrapper
%defattr(644,root,root,755)
%{py_sitedir}/saslwrapper.py[co]
%attr(755,root,root) %{py_sitedir}/_saslwrapper.so
%endif

%if %{with ruby}
%files -n ruby-saslwrapper
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_vendorarchdir}/saslwrapper.so
%endif
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/saslwrapper.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 32686bb
- release 8 (by relup.sh)

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> 9c0dc16
- rebuild with ruby 2.4
- release 7 (by relup.sh)

* Sun Nov 26 2017 Jan Rękorajski <baggins@pld-linux.org> ad860c6
- fix config on ruby 2.3
- rel 6

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 0f5934c
- rebuild with ruby 2.3
- release 5 (by relup.sh)

* Wed Mar 30 2016 Jan Rękorajski <baggins@pld-linux.org> 219784a
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> eddfd21
- release 3 (by relup.sh)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> cf9e295
- x32 rebuild
- release 2 (by relup.sh)

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> 74fbaba
- update BR, cleanups

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> b85cdc3
- new, version 0.16

